uk.gov.hmrc.ct.computations.Validators

# TradingLossesValidation

###
Related Doc: package Validators

#### trait TradingLossesValidation extends Validators with CtTypeConverters

Linear Supertypes
CtTypeConverters, Validators, AnyRef, Any
Known Subclasses
CP281, CP281a, CP281b, CP283a, CP283b, CP283c, CP285, CP286, CP286a, CP286b, CP287, CP288a, CP288b, CP997, CPQ17, CPQ18, CPQ19, CPQ20
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TradingLossesValidation
2. CtTypeConverters
3. Validators
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def And(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

5. #### def Or(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

6. #### def allLossesOffsetByNonTradingProfit(cp118: Int, cato01: Int): Boolean

7. #### def answeredNoToCurrentTradingLossesAgainstNonTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

8. #### def answeredNoToTradingLossesNotUsedFromPreviousPeriod(boxRetriever: ComputationsBoxRetriever)(): Boolean

9. #### def answeredYesToCurrentTradingLossesAgainstNonTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

10. #### def answeredYesToCurrentTradingLossesAgainstToPreviousPeriod(boxRetriever: ComputationsBoxRetriever)(): Boolean

11. #### def answeredYesToTradingLossesNotUsedFromPreviousPeriod(boxRetriever: ComputationsBoxRetriever)(): Boolean

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

14. #### def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

15. #### val boxId: String

    Attributes
      protected
    Definition Classes
      Validators

16. #### def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

17. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

19. #### def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

20. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

    Definition Classes
      CtTypeConverters

21. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

22. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

23. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

24. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

25. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

27. #### def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

28. #### def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

29. #### def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

30. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

31. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

32. #### def hasNonTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

33. #### def hasTradingLoss(boxRetriever: ComputationsBoxRetriever)(): Boolean

34. #### def hasTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

35. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

36. #### def isEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

37. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

38. #### def moreLossesThanNonTradeProfit(cp118: Int, cato01: Int): Boolean

39. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

40. #### def netTradingProfitEqualsTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

41. #### def netTradingProfitGreaterThanTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

42. #### def netTradingProfitPlusNonTradingProfitEqualsZero(boxRetriever: ComputationsBoxRetriever)(): Boolean

43. #### def netTradingProfitPlusNonTradingProfitGreaterThanZero(boxRetriever: ComputationsBoxRetriever)(): Boolean

44. #### def noLossesWithNonTradingProfit(cp118: Int, cato01: Int): Boolean

45. #### def noNonTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

46. #### def noTradingLoss(boxRetriever: ComputationsBoxRetriever)(): Boolean

47. #### def noTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

48. #### def noTradingProfitOrLoss(boxRetriever: ComputationsBoxRetriever)(): Boolean

49. #### def nonEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

50. #### def nonTradingProfitNotGreaterThanTradingLoss(boxRetriever: ComputationsBoxRetriever)(): Boolean

51. #### def notAnsweredCurrentTradingLossesAgainstNonTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

52. #### def notAnsweredTradingLossesNotUsedFromPreviousPeriod(boxRetriever: ComputationsBoxRetriever)(): Boolean

53. #### final def notify(): Unit

    Definition Classes
      AnyRef

54. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

55. #### def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

56. #### def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

57. #### def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

58. #### def sumOfBroughtForwardErrors(retriever: ComputationsBoxRetriever): Set[CtValidation]

59. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

60. #### def toString(): String

    Definition Classes
      AnyRef → Any

61. #### def validateMoney(value: Option[Int], min: Int = 99999999, max: Int = 99999999)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

62. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

63. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

64. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CtTypeConverters

### Inherited from Validators

### Inherited from AnyRef

### Inherited from Any

### Ungrouped